#include <stdio.h>
#include <sys/time.h>
#include "system_wide.h"
#include "tadt_internal/int.h"
#include "tadt/ext.h"

#define COPY_E(x,y) bcopy((char *)x, (char *)y, sizeof(*x))

void shrink_l(int amount, ind_type event, ind_type result) 
{
   COPY_E(event,result);
   result->left_offset = event->left_offset + (((100 - event->left_offset) * amount)/100);
   result->start = event->start + (((event->finish - event->start) * amount)/100);
}

void shrink_r(int amount, ind_type event, ind_type result) 
{
   COPY_E(event,result);
   result->right_offset = event->right_offset + (((100 - event->right_offset) * amount)/100);
   result->finish = event->finish - (((event->finish - event->start) * amount)/100);
}
