/***********************************************************************\ 
*                                                                       * 
*   File: calendric_system/newh/tadt/globals.h
*                                                                       * 
*   The MultiCal System is free software in the public domain; you can  * 
*   redistribute it and/or modify it as you wish. We ask that you       * 
*   retain credits referencing the University of Arizona and that you   * 
*   identify any changes you make.                                      * 
*                                                                       * 
*   Report problems to multical@cs.arizona.edu                          * 
*   Direct all inquiries to:    The MultiCal Project                    * 
*                               Department of Computer Science          * 
*                               University of Arizona                   * 
*                               Tucson, AZ 85721                        * 
*                               U.S.A.                                  * 
*                                                                       * 
\***********************************************************************/ 
#ifndef tadt_globals
#define tadt_globals

extern seconds_type tadt_secs1;
extern event_type   tadt_event1;
extern span_type    tadt_span1;
extern span_type    tadt_zero_span;
#define  MAX_LEAP_SECOND  27
extern unsigned long leap_second_table[MAX_LEAP_SECOND];
extern unsigned long leap_second_probe_table[MAX_LEAP_SECOND];

#endif
